Page MenuHomePhabricator

Rename sh.wikipedia to hbs.wikipedia
Closed, DuplicatePublic

Description

merged with T127680

Event Timeline

Danny_B created this task.Feb 22 2016, 3:29 AM
Restricted Application added subscribers: JEumerus, StudiesWorld, Matanya, Aklapper. · View Herald TranscriptFeb 22 2016, 3:29 AM
hashar triaged this task as Lowest priority.Sep 14 2016, 10:12 AM
Verdy_p added a subscriber: Verdy_p.Oct 3 2016, 1:37 AM

May be it's invalid in ISO 639-1 but this does not matter, because the code is stabilitized in BCP 47 and has not been removed.
"sh" in ISO 639-1 has always been an alias of "hbs" in ISO 639-2 and in BCP47 these aliases are also recognized.
"sh" was removed in ISO 639-1 by error, it is still a macro-language encompassing several SerboCration languages : Serbian, Croatian, Bosnian, Montenegrin, and a few others, with several scripts for Serbian (just like thre was also two scripts for Serbo-Croatian itself)
The separation of languages in this macrolanguage is very recent, and minor orthographic reforms have been made with some preferences in terms of vocabulary. All these people understand each other (except some difference of regional accents that also exist within each of these languages, and some minor dialect differences as well). The major difference is mostly in the choice of legal/formal terms which are highly politically oriented.
There will be littel benfit in renaming this macrolanguage: Serbian, Bosnian, Croatian alaredy have their prefered code, and contributors in SerboCroatian want to use a polical neutral coexistence, as they share lots of cultural references.
In fact the real major difference is the difference of script which still exists within Serbian alone. Bosnian has been officially slecting the Latin scrip, but there are still Bosnians that want to continue the use of the Cyrillic script (mostly Bosno-Serbian poeple that are in fact going to the Serbian direction).
We should not base our decision on the ISO639 status, but on the BCP47 status, all our codes are in fact based in BCP47 (ISO 639 has many errors or imprecisions.

Liuxinyu970226 changed the task status from Open to Stalled.Apr 30 2017, 5:13 AM

per krinkle

This request should not be "stalled" but just "closed" since long as completely unnecessary (bad request).
"sh" is perfectly valid in BCP 47 and is still recommanded over "hbs" which is exactly the same thing (with exactly the same status with regard to ISO 639).

The entry about "sh" in the normative IANA database for BCP47 is extremely clear, it is a standard macrolanguage (just like "zh" for Chinese, which was mapped in the IANA database at the same date!).

%%
Type: language
Subtag: sh
Description: Serbo-Croatian
Added: 2005-10-16
Scope: macrolanguage
Comments: sr, hr, bs are preferred for most modern uses

[...]

%%
Type: language
Subtag: zh
Description: Chinese
Added: 2005-10-16
Scope: macrolanguage
Zoranzoki21 closed this task as Invalid.Aug 6 2017, 5:57 AM
Zoranzoki21 added a subscriber: Zoranzoki21.

Completely unnecessary (bad request)

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptAug 6 2017, 5:57 AM